#include <string.h>
#include <malloc.h>
#include "ball.h"
#include "phantom1.h"


BALL * ph_init_ball(void)
{
BALL *aux;

	aux=(struct BALL *)malloc(sizeof(struct BALL));
	memset(aux,0,sizeof(struct BALL));
	aux->x=0;
	aux->y=128;
	return aux;
}


void ph_destroy_ball(BALL *b)
{
	free(b);
}


void ph_move_ball(BALL *b)
{
	b->actframe++;
	if (b->actframe==4) b->actframe=0;
}


void ph_draw_ball(BALL *b, GFX *gfx, DATA *data)
{
	if (b->active==2) draw_sprite(gfx->virt[0],data->dgfx[PHANTGFX_DAT_ENE33_0_0_BMP+b->actframe].dat,b->x,b->y);
}
