/*
	Header file for gllist.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/


#ifndef __GLLIST_H
#define __GLLIST_H

typedef struct LIST
{
	int id;
	char *data;
	struct LIST *next;
} LIST;

LIST * ph_init_list(void);
void ph_destroy_list(LIST *pl);
void ph_add_element(LIST *lh, char *data);
int ph_remove_element(LIST *lh, int id);
void ph_view_list(LIST *lh);
LIST * ph_get_element(LIST *lh, int id);

#endif
