/*
	Header file for la_020.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/

#ifndef __LA020_H
#define __LA020_H

#ifdef __cplusplus
extern "C"
{
#endif
	#include <lua.h>
	#include <lualib.h>
	#include <lauxlib.h>
#ifdef __cplusplus
}
#endif

#include <allegro.h>
#include <string.h>

#ifdef __cplusplus
extern "C" 
{
#endif

int la_color_map(lua_State *ls);
int la_create_blender_table(lua_State *ls);
int la_create_color_table(lua_State *ls);
int la_create_light_table(lua_State *ls);
int la_create_trans_table(lua_State *ls);
int la_drawing_mode(lua_State *ls);
int la_set_add_blender(lua_State *ls);
int la_set_alpha_blender(lua_State *ls);
int la_set_blender_mode(lua_State *ls);
int la_set_blender_mode_ex(lua_State *ls);
int la_set_burn_blender(lua_State *ls);
int la_set_color_blender(lua_State *ls);
int la_set_difference_blender(lua_State *ls);
int la_set_dissolve_blender(lua_State *ls);
int la_set_dodge_blender(lua_State *ls);
int la_set_hue_blender(lua_State *ls);
int la_set_invert_blender(lua_State *ls);
int la_set_luminance_blender(lua_State *ls);
int la_set_multiply_blender(lua_State *ls);
int la_set_saturation_blender(lua_State *ls);
int la_set_screen_blender(lua_State *ls);
int la_set_trans_blender(lua_State *ls);
int la_set_write_alpha_blender(lua_State *ls);
int la_solid_mode(lua_State *ls);
int la_xor_mode(lua_State *ls);
lua_State * la_register_020(lua_State *ls);

#ifdef __cplusplus
}
#endif
#endif
