/*
	Header file for records.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/

#ifndef __RECORDS_H
#define __RECORDS_H


#define MAXRECORDS 10


typedef struct RECORDS
{
	char *online_name[MAXRECORDS];
	char *online_place[MAXRECORDS];
	unsigned char online_points[MAXRECORDS];
	char *local_name[MAXRECORDS];
	char *local_place[MAXRECORDS];
	unsigned char local_points[MAXRECORDS];
} RECORDS;


RECORDS * ph_init_records(void);
void ph_destroy_records(RECORDS *r);


#endif
