/*
	player.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/


#include <malloc.h>
#include <string.h>
#include "player.h"
#include "log.h"
#include "trans.h"
#include "game.h"


PLAYER * ph_init_player(void)
{
PLAYER *aux;

	ph_log(_("- Initiating player: "));
	aux=(struct PLAYER *)malloc(sizeof(struct PLAYER));
	if (aux==NULL) ph_log_memory_error("player.c","ph_init_player","aux",sizeof(struct PLAYER));
	memset(aux,0,sizeof(struct PLAYER));
	ph_log(_("Ok.\n"));
	aux->energy=238;
	aux->abu=0;
	aux->firsttimeenergy=0;
 	return aux;
}


void ph_destroy_player(PLAYER *pl)
{
	free(pl);
}


