/*
	Header file for game.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/


#ifndef __GAME_H
#define __GAME_H

#include "cfg.h"
#include "gfx.h"
#include "program.h"

void ph_start_game(PROGRAM *p);
void ph_change_room(PROGRAM *p, int room);
PROGRAM * ph_game_over(PROGRAM *p);
char ph_special_cases(PROGRAM *p);
char ph_anim_rocket(PROGRAM *p,char animtype);
char ph_anim_chopper(PROGRAM *p,char animtype);
void ph_draw_dec(PROGRAM *p);
PROGRAM * ph_load_game(PROGRAM *p);
char ph_save(PROGRAM *p);
void ph_in_game_message(CONTROL *c, GFX *gfx, DATA *data, CFG *cfg, SOUND *sound, PLAYER *pl, PHFONT *fnt, char event);
void ph_game_end(PROGRAM *p);
void ph_show_credits(PROGRAM *p);
void ph_do_speccy(PROGRAM *p);
void ph_fade_out(int speed, GFX *gfx, CFG *cfg, SOUND *snd);

#endif
