/*
	Header file for intro.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/


#ifndef __INTRO_H
#define __INTRO_H

#include "program.h"

#define MAXSTARS 1024

typedef struct STAR
{
	float xpos, ypos;
	short zpos, speed;
	int color;
} STAR;


void ph_do_intro(PROGRAM *p);
STAR * ph_init_stars(void);
void ph_destroy_stars(STAR *s);

#endif
