/*
	Header file for la_009.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/

#ifndef __LA009_H
#define __LA009_H

#ifdef __cplusplus
extern "C"
{
#endif
	#include <lua.h>
	#include <lualib.h>
	#include <lauxlib.h>
#ifdef __cplusplus
}
#endif

#include <allegro.h>
#include <string.h>

#ifdef __cplusplus
extern "C" 
{
#endif


lua_State * la_register_009(lua_State *ls);
int la_acquire_bitmap(lua_State *ls);
int la_acquire_screen(lua_State *ls);
int la_add_clip_rect(lua_State *ls);
int la_bitmap_color_depth(lua_State *ls);
int la_bitmap_mask_color(lua_State *ls);
int la_create_bitmap(lua_State *ls);
int la_create_bitmap_ex(lua_State *ls);
int la_create_sub_bitmap(lua_State *ls);
int la_create_system_bitmap(lua_State *ls);
int la_create_video_bitmap(lua_State *ls);
int la_destroy_bitmap(lua_State *ls);

//@FIXME Works in != way.
int la_get_clip_rect(lua_State *ls);

int la_get_clip_state(lua_State *ls);
int la_is_inside_bitmap(lua_State *ls);
int la_is_linear_bitmap(lua_State *ls);
int la_is_memory_bitmap(lua_State *ls);
int la_is_planar_bitmap(lua_State *ls);
int la_is_same_bitmap(lua_State *ls);
int la_is_screen_bitmap(lua_State *ls);
int la_is_sub_bitmap(lua_State *ls);
int la_is_system_bitmap(lua_State *ls);
int la_is_video_bitmap(lua_State *ls);
int la_lock_bitmap(lua_State *ls);
int la_release_bitmap(lua_State *ls);
int la_release_screen(lua_State *ls);
int la_get_screen(lua_State *ls);
int la_get_screen_h(lua_State *ls);
int la_get_screen_w(lua_State *ls);
int la_set_clip_rect(lua_State *ls);
int la_set_clip_state(lua_State *ls);
int la_get_virtual_h(lua_State *ls);
int la_get_virtual_w(lua_State *ls);



#ifdef __cplusplus
}
#endif
#endif
