/*
	Header file for la_010.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/

#ifndef __LA010_H
#define __LA010_H

#ifdef __cplusplus
extern "C"
{
#endif
	#include <lua.h>
	#include <lualib.h>
	#include <lauxlib.h>
#ifdef __cplusplus
}
#endif

#include <allegro.h>
#include <string.h>

#ifdef __cplusplus
extern "C" 
{
#endif


//@FIXME These functions doesn't work like Allegro ones. They return the BITMAP
// and the palette.
int la_load_bitmap(lua_State *ls);
int la_load_bmp(lua_State *ls);
int la_load_lbm(lua_State *ls);
int la_load_pcx(lua_State *ls);
int la_load_tga(lua_State *ls);

//@FIXME Do this function
int la_register_bitmap_file_type(lua_State *ls);

int la_save_bitmap(lua_State *ls);
int la_save_bmp(lua_State *ls);
int la_save_pcx(lua_State *ls);
int la_save_tga(lua_State *ls);
int la_set_color_conversion(lua_State *ls);
lua_State * la_register_010(lua_State *ls);



#ifdef __cplusplus
}
#endif
#endif
