/*
	Header file for lalfont
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/

#include "config.h"

#ifndef __LALFONT_H
#define __LALFONT_H

#ifdef __cplusplus
extern "C"
{
#endif
	#include <lua.h>
	#include <lualib.h>
	#include <lauxlib.h>
#ifdef __cplusplus
}
#endif

#include <allegro.h>
#if HAVE_ALFONT_H
	#include <alfont.h>
#endif

#ifdef __cplusplus
extern "C" 
{
#endif

lua_State * la_register_lalfont_functions(lua_State *ls);
int lalfont_init(lua_State *ls);
int lalfont_load_font(lua_State *ls);
int lalfont_set_font_size(lua_State *ls);
int lalfont_textout(lua_State *ls);
int lalfont_textout_aa(lua_State *ls);
int lalfont_textout_centre(lua_State *ls);
int lalfont_textout_centre_aa(lua_State *ls);
int lalfont_destroy_font(lua_State *ls);
int lalfont_exit(lua_State *ls);
int lalfont_textprintf_ex(lua_State *ls);
int lalfont_textprintf_aa_ex(lua_State *ls);


#ifdef __cplusplus
}
#endif
#endif
