#ifndef __TRANS_H
#define __TRANS_H

#include <allegro.h>
#include <config.h>

#if !GP2X
	#include <libintl.h>
	#include <locale.h>
	#include <allegro.h>
#endif

#ifdef WIN32
	#define t_(String) uconvert(gettext(String),U_ASCII,NULL,U_UTF8,0)
	#define _(String) uconvert(gettext(String),U_ASCII,NULL,U_UTF8,0)
#else
	#if HAVE_INTL
		#define t_(String) uconvert(gettext(String),U_UTF8,NULL,U_UTF8,0)
		#define _(String) uconvert(gettext(String),U_UTF8,NULL,U_UTF8,0)
	#else
		#define t_(String) uconvert(String,U_UTF8,NULL,U_UTF8,0)
		#define _(String) uconvert(String,U_UTF8,NULL,U_ASCII,0)
	#endif
#endif

#define N_(String) (String)

#endif
