/*
	Description: records.c
	Author: Traperic <traperic@alamin.org>, (C) 2005.
	Copyright: See COPYING file that comes with this distribution.
*/

#include "records.h"
#include "records2.h"
#include "log.h"
#include "trans.h"
#include "gfx.h"


RECORDS * ph_init_records(void)
{
RECORDS *aux;
char *aoname[MAXRECORDS];
char *aoplace[MAXRECORDS];
char *alname[MAXRECORDS];
char *alplace[MAXRECORDS];
int i;

	ph_log(_("- Initiating records: "));
	aux=(struct RECORDS *)malloc(sizeof(struct RECORDS));
	if (aux==NULL)
	{
		ph_log_memory_error("records.c","ph_init_records","aux",sizeof(struct RECORDS));
	}
	else
	{
		ph_log(_("Ok.\n"));
	}
	memset(aux,0,sizeof(struct RECORDS));
	
	for (i=0;i<MAXRECORDS;i++)
	{
		aoname[i]=(char *)malloc(sizeof(char)*51);
		aoplace[i]=(char *)malloc(sizeof(char)*51);
		alname[i]=(char *)malloc(sizeof(char)*51);
		alplace[i]=(char *)malloc(sizeof(char)*51);
		memset(aoname[i],0,sizeof(char)*51);
		memset(aoplace[i],0,sizeof(char)*51);
		memset(alname[i],0,sizeof(char)*51);
		memset(alplace[i],0,sizeof(char)*51);
		aux->online_name[i]=aoname[i];
		aux->online_place[i]=aoplace[i];
		aux->local_name[i]=alname[i];
		aux->local_place[i]=alplace[i];
	}

	return aux;
}



void ph_destroy_records(RECORDS *r)
{
int i;

	for (i=0;i<MAXRECORDS;i++)
	{
		free(r->online_name[i]);
		free(r->online_place[i]);
		free(r->local_name[i]);
		free(r->local_place[i]);
	}
	free(r);

}


void ph_show_records(PROGRAM *p)
{
GFX *gfx;

	gfx=(GFX *)p->gfx;
	
/*	while(!key[KEY_ESC])
	{
			
	
	
	
	}*/
	clear_keybuf();

}
